Loading...
Searching...
No Matches
COMPS_DocCategory Struct Reference

`#include <comps_doccategory.h>`

## Data Fields

COMPS_ObjDict * | properties
COMPS_ObjDict * | name_by_lang
COMPS_ObjDict * | desc_by_lang
COMPS_ObjList * | group_ids

## Detailed Description

COMPS_Object derivate representing category element in comps.xml structure

## Field Documentation

## desc_by_lang

COMPS_ObjDict* COMPS_DocCategory::desc_by_lang

language localization of description attribute

## group_ids

COMPS_ObjList* COMPS_DocCategory::group_ids

list of group_ids

## name_by_lang

COMPS_ObjDict* COMPS_DocCategory::name_by_lang

language localization of name attribute

## properties

COMPS_ObjDict* COMPS_DocCategory::properties

properties of category

The documentation for this struct was generated from the following file:

- comps_doccategory.h